;; Development dependencies for Sloth
;; Because both Hall and Guix are being used for development, these are just the
;; tools to build things using those tools. Notably, running a guix shell
;; container with only these packages should be comfortable.
;; Usage: guix shell -[CNW]m manifest.scm

(use-modules (gnu packages autotools)
	     (gnu packages base)
	     (gnu packages guile)
	     (gnu packages guile-xyz)
	     (gnu packages pkg-config)
	     (gnu packages readline)
	     (gnu packages texinfo)
	     (gnu packages version-control)
	     (guix build-system gnu)
	     (guix git-download)
	     ((guix licenses)
	      #:prefix license:)
	     (guix packages))

(define guile-hall-next
  (let ((commit "9ca0c3e"))
    (package
      (inherit guile-hall)
      (source
       (origin
         (method git-fetch)
         (uri (git-reference
               (url "https://gitlab.com/a-sassmannshausen/guile-hall")
               (commit commit)))
         (file-name (git-file-name (package-name guile-hall) commit))
         (sha256
          (base32 "0fi7isi5wq6awssk08zj4scifrb9g1g1027id5j87awb29q22jlj")))))))

(packages->manifest
 (list coreutils
       git
       guile-3.0
       guile-hall-next
       guile-readline))
